incubator-cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pranav Saxena <pranav.sax...@citrix.com>
Subject Jquery version upgrade from 1.6 to 1.7 for CloudStack UI
Date Thu, 27 Dec 2012 10:12:36 GMT
Hi all ,

Cloudstack UI currently uses Jquery version 1.6 to support its  UI functionality . Due to
the browser versions being upgraded for Firefox , Chrome , IE few of the basic functionalities
in Jquery 1.6 seems to have been affected and do not seem to be compatible .

For eg . this JIRA ticket -
https://issues.apache.org/jira/browse/CLOUDSTACK-709  says that the it leaves the "isPublic"
checkbox in the ZoneWizard unchecked in case of Chrome and IE , though keeps it checked in
Firefox. While investigating more about this issue , I found out that the problem seems with
the version of Jquery CloudStack UI uses . Now if an end user is using Chrome or IE and  doesn't
notice the "isPublic" checkbox , he might end up creating a "private zone" which is not the
motive !

The need is to upgrade the Jquery version from 1.6 to 1.7 to handle such issues . While upgrade
there might be some other changes in the UI code which we'll have to deal with but they'll
definitely be very minor ones for sure . For example -
http://geekswithblogs.net/renso/archive/2011/11/28/jquery---upgrade-from-version-1.6.x-to-1.7.aspx

Please express your opinions , if you think we should be doing this.

Thanks & Regards,
Pranav



Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message